package com.swago.baseswago.dialog

import android.os.Bundle
import android.view.View
import androidx.viewbinding.ViewBinding

/**
 *@date 2021/8/27 17:10
 *description:
 */
abstract class BaseXDFragment<T:ViewBinding> : BaseDFragment<T>() {

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        initOther()
        initLiveData()
    }

    abstract fun initOther()
    abstract fun initLiveData()

}